Get token holder statistics
curl --request GET \
--url https://api.blank.build/api/v2/tokens/{mint}/holdersimport requests
url = "https://api.blank.build/api/v2/tokens/{mint}/holders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.blank.build/api/v2/tokens/{mint}/holders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asOf": "2023-11-07T05:31:56Z",
"holderCount": 1,
"mintAddress": "11111111111111111111111111111111",
"slot": "1000000000"
}{
"code": "token_not_found",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 404,
"title": "Token not found",
"type": "https://blank.build/docs/reference/errors#token_not_found",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "validation_failed",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 422,
"title": "Validation failed",
"type": "https://blank.build/docs/reference/errors#validation_failed",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "rate_limit_exceeded",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 429,
"title": "Rate limit exceeded",
"type": "https://blank.build/docs/reference/errors#rate_limit_exceeded",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "internal_error",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 500,
"title": "Internal server error",
"type": "https://blank.build/docs/reference/errors#internal_error",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "market_data_unavailable",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 503,
"title": "Market data unavailable",
"type": "https://blank.build/docs/reference/errors#market_data_unavailable",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}Market data
Get token holder statistics
Returns the latest indexed holder count with its source, slot, and observation time.
GET
/
tokens
/
{mint}
/
holders
Get token holder statistics
Path Parameters
Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Example:
"11111111111111111111111111111111"
Response
Latest holder statistics.
Required range:
x >= 0Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Example:
"11111111111111111111111111111111"
Available options:
live_trade_index, trade_replay, onchain_snapshot Pattern:
^(?:0|[1-9][0-9]*)$Example:
"1000000000"
⌘I